<!DOCTYPE HTML>
<html xmlns:th="https://www.thymeleaf.org">
<head>
    <title>Benutzer bearbeiten</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <link href="basicStyle.css" rel="stylesheet">
    <link href="styles.css" rel="stylesheet" />
    <link href="btn_styles.css" rel="stylesheet" />
</head>
<body>

<!-- Responsive navbar-->
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div class="container px-5">
        <a class="navbar-brand bg-dark text-white" href="/index.html">Sharin' Drive</a>

        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav ms-auto mb-2 mb-lg-0">

                <ul class="navbar-nav">
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            Aktionen
                        </a>
                        <ul class="dropdown-menu dropdown-menu-dark" aria-labelledby="navbarDarkDropdownMenuLink">
                            <li><a class="dropdown-item" href="/login">Home-Page</a></li>
                            <li><a class="dropdown-item" href="/fahrzeugadd">Fahrzeug hinzufügen</a></li>
                            <li><a class="dropdown-item" href="/listf">Fahrzeuge einsehen</a></li>
                            <li><a class="dropdown-item" href="/viewR">Reservierungen einsehen</a></li>
                            <li><a class="dropdown-item" href="/benutzeradd">Benutzer hinzufügen</a></li>
                            <li><a class="dropdown-item" href="/listb">Liste der Benutzer</a></li>
                            <li><a class="dropdown-item" href="/logout">Logout</a></li>
                        </ul>
                    </li>
                </ul>
            </ul>
        </div>


    </div>
</nav>
<div class="container py-5">

    <form action="#" th:action="@{/benutzermod(id=${benutzer.id})}" th:object="${benutzer}" method="post">
        <div class="row py-2">
            <div class="col">
                <h1 class="h3 mb-3 fw-normal">Benutzer modifizieren</h1>

                <div class="form-floating py-2">
                    <input type="text" class="form-control" id="floatingFirstname" th:field="*{firstname}"/>
                    <label for="floatingFirstname" th:text="'Vorname (Akutell: ' + ${benutzer.firstname} +')'">Vorname</label>
                </div>
                <div class="form-floating py-2">
                    <input type="text" class="form-control" id="floatingName" th:field="*{lastname}"/>
                    <label for="floatingName" th:text="'Name (Akutell: ' + ${benutzer.lastname} +')'">Name</label>
                </div>
                <div class="form-floating py-2">
                    <input type="text" class="form-control" id="floatingMail" th:field="*{email}"/>
                    <label for="floatingMail" th:text="'E-Mail (Akutell: ' + ${benutzer.email} +')'">E-Mail-Adresse</label>
                </div>
                <div class="form-floating">
                    <input type="text" class="form-control" id="floatingRolle" th:field="*{rolle}"/>
                    <label for="floatingRolle" th:text="'Rolle (Akutell: ' + ${benutzer.rolle} +')'">Rolle</label>
                </div>
                <div class="form-floating py-2">
                    <input type="date" class="form-control" id="floatingGeburtstag" th:field="*{geburtstagDatum}"/>
                    <label for="floatingGeburtstag" th:text="'Adresse (Akutell: ' + ${benutzer.geburtstagDatum.toString()} +')'">Geburtstagsdatum</label>
                </div>
                <div class="form-floating py-2">
                    <input type="password" class="form-control" id="floatingPassword" th:field="*{pw}"/>
                    <label for="floatingPassword">Passwort</label>
                </div>
                <div class="form-floating py-2">
                    <input type="text" class="form-control" id="floatingAdresse" th:field="*{adr}"/>
                    <label for="floatingAdresse" th:text="'Adresse (Akutell: ' + ${benutzer.adr} +')'">Adresse</label>
                </div>
                <div class="form-floating py-2">
                    <input type="number" class="form-control" id="floatingPlz" th:field="*{plz}"/>
                    <label for="floatingPlz" th:text="'Postleitzahl (Akutell: ' + ${benutzer.plz} +')'">Postleitzahl</label>
                </div>


                <button class="w-100 btn btn-lg btn-success" type="submit" value="Submit">Submit</button>
            </div>
        </div>
    </form>

</div>

</body>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<!-- Core theme JS-->
<script src="js/scripts.js"></script>
<script src="https://cdn.startbootstrap.com/sb-forms-latest.js"></script>
</html>